fn print_usage() -> Result<(), std::io::Error> {
    println!("This will later be the usage! Edit this later!");
    return Ok(());
}

fn main() -> Result<(), std::io::Error> {
    let cmd_args: Vec<String> = std::env::args().collect();
    let cmd_args_length: usize = cmd_args.len();

    let command: &String;
    if cmd_args_length >= 2 {
        command = &cmd_args[1];
    } else {
        crate::print_usage()?;
        std::process::exit(-1);
    }

    match cmd_args_length {

        3 => {
            match command.as_str() {

                "init" => {
                    let profile_argument: &String = &cmd_args[2];
                    println!("Initialising profile \"{}\"...", &profile_argument);
                    match meowiesavings::main_logic::init(&profile_argument) {
                        Ok(_) => {
                            println!("Successfully initialised profile \"{}\"", &profile_argument);
                        },
                        Err(error) => {println!("Initialisation of profile \"{}\" failed due to an Error!\n{}", &profile_argument, error);},
                    };
                },

                _ => crate::print_usage()?,
                
            }
        },

        _ => crate::print_usage()?,

    }

    return Ok(());
}